//---------------------------------------------------------------------------
//
// Name:        InterfaceFrm.cpp
// Author:      Rafael Rieder
// Created:     10/11/2006 11:26:52
// Description: InterfaceFrm class implementation
//
//---------------------------------------------------------------------------

#include "InterfaceFrm.h"
#include "AberturaFrm.h"

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include "InterfaceFrm_XPM.xpm"
////Header Include End

//----------------------------------------------------------------------------
// InterfaceFrm
//----------------------------------------------------------------------------
//Add Custom Events only in the appropriate block.
//Code added in other places will be removed by wxDev-C++
////Event Table Start
BEGIN_EVENT_TABLE(InterfaceFrm,wxFrame)
	////Manual Code Start
	////Manual Code End
	
	EVT_CLOSE(InterfaceFrm::OnClose)
	EVT_ENTER_WINDOW(InterfaceFrm::InterfaceFrmEnterWindow)
	EVT_BUTTON(ID_WXBUTTON2,InterfaceFrm::WxButton2Click)
	EVT_BUTTON(ID_WXBUTTON1,InterfaceFrm::WxButton1Click)
	
	EVT_GRID_CELL_CHANGE(InterfaceFrm::GradeGridCellChange)
	EVT_BUTTON(ID_REMBUTTON,InterfaceFrm::RemButtonClick)
	EVT_BUTTON(ID_ADDBUTTON,InterfaceFrm::AddButtonClick)
	EVT_LISTBOX(ID_DISCIPLINASALUNOLIST,InterfaceFrm::DisciplinasAlunoListSelected)
	EVT_LISTBOX_DCLICK(ID_DISCIPLINASALUNOLIST,InterfaceFrm::DisciplinasAlunoListDoubleClicked)
	EVT_LISTBOX(ID_DISCIPLINASLIBERADASLIST,InterfaceFrm::DisciplinasLiberadasListSelected)
	EVT_LISTBOX_DCLICK(ID_DISCIPLINASLIBERADASLIST,InterfaceFrm::DisciplinasLiberadasListDoubleClicked)
END_EVENT_TABLE()
////Event Table End

InterfaceFrm::InterfaceFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxFrame(parent, id, title, position, size, style)
{
	CreateGUIControls();
}

InterfaceFrm::~InterfaceFrm()
{
}

void InterfaceFrm::CreateGUIControls()
{
	//Do not add custom code here
	//wxDev-C++ designer will remove them.
	//Add the custom code before or after the blocks
	////GUI Items Creation Start

	WxPanel1 = new wxPanel(this, ID_WXPANEL1, wxPoint(0,0), wxSize(691,667));

	wxArrayString arrayStringFor_DisciplinasLiberadasList;
	DisciplinasLiberadasList = new wxListBox(WxPanel1, ID_DISCIPLINASLIBERADASLIST, wxPoint(14,64), wxSize(270,204), arrayStringFor_DisciplinasLiberadasList, wxLB_SINGLE);

	wxArrayString arrayStringFor_DisciplinasAlunoList;
	DisciplinasAlunoList = new wxListBox(WxPanel1, ID_DISCIPLINASALUNOLIST, wxPoint(391,65), wxSize(270,204), arrayStringFor_DisciplinasAlunoList, wxLB_SINGLE);

	AddButton = new wxButton(WxPanel1, ID_ADDBUTTON, wxT(">>> Adicionar"), wxPoint(300,119), wxSize(75,35), 0, wxDefaultValidator, wxT("AddButton"));
	AddButton->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	RemButton = new wxButton(WxPanel1, ID_REMBUTTON, wxT("<<< Remover"), wxPoint(299,163), wxSize(75,35), 0, wxDefaultValidator, wxT("RemButton"));
	RemButton->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticBox1 = new wxStaticBox(WxPanel1, ID_WXSTATICBOX1, wxT("Grade de Horrio"), wxPoint(11,289), wxSize(650,332));
	WxStaticBox1->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText2 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT2, wxT("Disciplinas Disponveis...:"), wxPoint(15,50), wxDefaultSize, 0, wxT("WxStaticText2"));
	WxStaticText2->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText3 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT3, wxT("Disciplinas do Aluno...:"), wxPoint(396,50), wxDefaultSize, 0, wxT("WxStaticText3"));
	WxStaticText3->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticBox2 = new wxStaticBox(WxPanel1, ID_WXSTATICBOX2, wxT(""), wxPoint(15,5), wxSize(647,39));
	WxStaticBox2->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	WxStaticText7 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT7, wxT("Matrcula n:"), wxPoint(30,20), wxDefaultSize, 0, wxT("WxStaticText7"));
	WxStaticText7->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	MatriculaText = new wxStaticText(WxPanel1, ID_MATRICULATEXT, wxT("Nmero"), wxPoint(110,19), wxDefaultSize, 0, wxT("MatriculaText"));
	MatriculaText->SetFont(wxFont(10, wxSWISS, wxITALIC,wxNORMAL, FALSE));

	WxStaticText8 = new wxStaticText(WxPanel1, ID_WXSTATICTEXT8, wxT("Aluno:"), wxPoint(233,20), wxDefaultSize, 0, wxT("WxStaticText8"));
	WxStaticText8->SetFont(wxFont(8, wxSWISS, wxNORMAL,wxBOLD, FALSE));

	AlunoText = new wxStaticText(WxPanel1, ID_ALUNOTEXT, wxT("Nome"), wxPoint(276,19), wxDefaultSize, 0, wxT("AlunoText"));
	AlunoText->SetFont(wxFont(10, wxSWISS, wxITALIC,wxNORMAL, FALSE));

	GradeGrid = new wxGrid(WxPanel1, ID_GRADEGRID, wxPoint(26,305), wxSize(627,305));
	GradeGrid->SetDefaultColSize(85);
	GradeGrid->SetDefaultRowSize(20);
	GradeGrid->SetRowLabelSize(50);
	GradeGrid->SetColLabelSize(25);
	GradeGrid->CreateGrid(15,6,wxGrid::wxGridSelectCells);

	WxButton1 = new wxButton(WxPanel1, ID_WXBUTTON1, wxT("Fecha"), wxPoint(599,632), wxSize(82,25), 0, wxDefaultValidator, wxT("WxButton1"));

	WxButton2 = new wxButton(WxPanel1, ID_WXBUTTON2, wxT("Exporta Horario"), wxPoint(301,632), wxSize(82,25), 0, wxDefaultValidator, wxT("WxButton2"));

	SetTitle(wxT(".::. Sistema de Matrculas .::. Controle de Disciplinas do Aluno"));
	wxIcon InterfaceFrm_ICON (InterfaceFrm_XPM);
	SetIcon(InterfaceFrm_XPM);
	SetSize(8,8,699,701);
	Center();
	
	////GUI Items Creation End
}

void InterfaceFrm::OnClose(wxCloseEvent& event)
{
    AberturaFrm* frame = new AberturaFrm(NULL);
    frame->Show();
	Destroy();
}

/*
 * SetMyDetails
 */
void InterfaceFrm::SetMyDetails()
{   
	GradeGrid->SetColLabelValue(0, wxT("Segunda-Feira"));
	GradeGrid->SetColLabelValue(1, wxT("Tera-Feira"));
	GradeGrid->SetColLabelValue(2, wxT("Quarta-Feira"));
	GradeGrid->SetColLabelValue(3, wxT("Quinta-Feira"));
	GradeGrid->SetColLabelValue(4, wxT("Sexta-Feira"));
	GradeGrid->SetColLabelValue(5, wxT("Sbado"));

	GradeGrid->SetRowLabelValue(0, wxT("A"));
	GradeGrid->SetRowLabelValue(1, wxT("B"));
	GradeGrid->SetRowLabelValue(2, wxT("C"));
	GradeGrid->SetRowLabelValue(3, wxT("D"));
	GradeGrid->SetRowLabelValue(4, wxT("E"));
	GradeGrid->SetRowLabelValue(5, wxT("F"));
	GradeGrid->SetRowLabelValue(6, wxT("G"));
	GradeGrid->SetRowLabelValue(7, wxT("H"));
	GradeGrid->SetRowLabelValue(8, wxT("I"));
	GradeGrid->SetRowLabelValue(9, wxT("J"));
	GradeGrid->SetRowLabelValue(10, wxT("K"));
	GradeGrid->SetRowLabelValue(11, wxT("L"));
	GradeGrid->SetRowLabelValue(12, wxT("M"));
	GradeGrid->SetRowLabelValue(13, wxT("N"));
	GradeGrid->SetRowLabelValue(14, wxT("P"));

    MatriculaText->SetLabel(GetMatricula());
    AlunoText->SetLabel(wxT("Fulano de Tal"));
    GradeGrid->EnableEditing(false);

    wxMessageBox("Leia as disciplinas do aluno selecionado e coloque nas listas!!! (1004)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);	
   	DisciplinasLiberadasList->Append(wxT("Disciplina Liberada para matricula 1"));
   	DisciplinasLiberadasList->Append(wxT("Disciplina Liberada para matricula 2"));
	DisciplinasAlunoList->Append(wxT("Disciplina j escolhida 1"));
	DisciplinasAlunoList->Append(wxT("Disciplina j escolhida 2"));
	

    DisciplinasLiberadasList->SetFocus();    
}

/*
 * AddButtonClick
 */
void InterfaceFrm::AddButtonClick(wxCommandEvent& event)
{
    //msg.Printf(wxT("Insira seu cdigo no evento OnClick deste boto!!!"), wxVERSION_STRING);
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1005)", 
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * RemButtonClick
 */
void InterfaceFrm::RemButtonClick(wxCommandEvent& event)
{
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1006)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}


void InterfaceFrm::SetMatricula(wxString matricula)
{
    _matricula = matricula;
}

wxString InterfaceFrm::GetMatricula()
{
    return _matricula;
}

/*
 * GradeGridCellChange
 */
void InterfaceFrm::GradeGridCellChange(wxGridEvent& event)
{
	// insert your code here
}

/*
 * DisciplinasLiberadasListSelected
 */
void InterfaceFrm::DisciplinasLiberadasListSelected(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnListSelected desta lista!!! (1007)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * DisciplinasLiberadasListDoubleClicked
 */
void InterfaceFrm::DisciplinasLiberadasListDoubleClicked(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnDoubleClicked desta lista!!! (1008)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * DisciplinasAlunoListDoubleClicked
 */
void InterfaceFrm::DisciplinasAlunoListDoubleClicked(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnDoubleClicked desta lista!!! (1009)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * DisciplinasAlunoListSelected
 */
void InterfaceFrm::DisciplinasAlunoListSelected(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnListSelected desta lista!!!  (1010)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * WxButton1Click
 */
void InterfaceFrm::WxButton1Click(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1011)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
}

/*
 * WxButton2Click
 */
void InterfaceFrm::WxButton2Click(wxCommandEvent& event)
{
	// insert your code here
    wxMessageBox("Insira seu cdigo no evento OnClick deste boto!!! (1012)",
                 ".::. Sistema de Matrculas .::.",
                 wxOK | wxICON_INFORMATION, this);
	
	
}

/*
 * InterfaceFrmInitDialog
 */
void InterfaceFrm::InterfaceFrmInitDialog(wxInitDialogEvent& event)
{
	// insert your code here

	
}

/*
 * InterfaceFrmActivate
 */
void InterfaceFrm::InterfaceFrmActivate(wxActivateEvent& event)
{
	// insert your code here
		

}

/*
 * InterfaceFrmEnterWindow
 */
void InterfaceFrm::InterfaceFrmEnterWindow(wxMouseEvent& event)
{

}
