//---------------------------------------------------------------------------
//
// Name:        InterfaceFrm.h
// Author:      Rafael Rieder
// Created:     10/11/2006 11:26:52
// Description: InterfaceFrm class declaration
//
//---------------------------------------------------------------------------

#ifndef __INTERFACEFRM_h__
#define __INTERFACEFRM_h__

#ifdef __BORLANDC__
	#pragma hdrstop
#endif

#ifndef WX_PRECOMP
	#include <wx/wx.h>
	#include <wx/frame.h>
#else
	#include <wx/wxprec.h>
#endif

//Do not add custom headers
//wxDev-C++ designer will remove them
////Header Include Start
#include <wx/grid.h>
#include <wx/stattext.h>
#include <wx/statbox.h>
#include <wx/button.h>
#include <wx/listbox.h>
#include <wx/panel.h>
////Header Include End

////Dialog Style Start
#undef InterfaceFrm_STYLE
#define InterfaceFrm_STYLE wxCAPTION | wxSYSTEM_MENU | wxMINIMIZE_BOX | wxCLOSE_BOX
////Dialog Style End

class InterfaceFrm : public wxFrame
{
	private:
		DECLARE_EVENT_TABLE();
		
	public:
		InterfaceFrm(wxWindow *parent, wxWindowID id = 1, const wxString &title = wxT("Interface"), const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, long style = InterfaceFrm_STYLE);
		virtual ~InterfaceFrm();
		void AddButtonClick(wxCommandEvent& event);
		void RemButtonClick(wxCommandEvent& event);
		void SetMyDetails();
		void SetMatricula(wxString matricula);
        wxString GetMatricula();
		void GradeGridCellChange(wxGridEvent& event);
		void DisciplinasLiberadasListSelected(wxCommandEvent& event);
		void DisciplinasLiberadasListDoubleClicked(wxCommandEvent& event);
		void DisciplinasAlunoListDoubleClicked(wxCommandEvent& event);
		void DisciplinasAlunoListSelected(wxCommandEvent& event);
		void WxButton1Click(wxCommandEvent& event);
		void WxButton2Click(wxCommandEvent& event);
		void InterfaceFrmInitDialog(wxInitDialogEvent& event);
		void InterfaceFrmActivate(wxActivateEvent& event);
		void InterfaceFrmEnterWindow(wxMouseEvent& event);
		
	private:
		//Do not add custom control declarations
		//wxDev-C++ will remove them. Add custom code after the block.
		////GUI Control Declaration Start
		wxButton *WxButton2;
		wxButton *WxButton1;
		wxGrid *GradeGrid;
		wxStaticText *AlunoText;
		wxStaticText *WxStaticText8;
		wxStaticText *MatriculaText;
		wxStaticText *WxStaticText7;
		wxStaticBox *WxStaticBox2;
		wxStaticText *WxStaticText3;
		wxStaticText *WxStaticText2;
		wxStaticBox *WxStaticBox1;
		wxButton *RemButton;
		wxButton *AddButton;
		wxListBox *DisciplinasAlunoList;
		wxListBox *DisciplinasLiberadasList;
		wxPanel *WxPanel1;
		////GUI Control Declaration End
		
	private:
		//Note: if you receive any error with these enum IDs, then you need to
		//change your old form code that are based on the #define control IDs.
		//#defines may replace a numeric value for the enum names.
		//Try copy and pasting the below block in your old form header files.
		enum
		{
			////GUI Enum Control ID Start
			ID_WXBUTTON2 = 1279,
			ID_WXBUTTON1 = 1278,
			ID_GRADEGRID = 1270,
			ID_ALUNOTEXT = 1269,
			ID_WXSTATICTEXT8 = 1268,
			ID_MATRICULATEXT = 1267,
			ID_WXSTATICTEXT7 = 1266,
			ID_WXSTATICBOX2 = 1265,
			ID_WXSTATICTEXT3 = 1258,
			ID_WXSTATICTEXT2 = 1257,
			ID_WXSTATICBOX1 = 1255,
			ID_REMBUTTON = 1253,
			ID_ADDBUTTON = 1252,
			ID_DISCIPLINASALUNOLIST = 1251,
			ID_DISCIPLINASLIBERADASLIST = 1250,
			ID_WXPANEL1 = 1059,
			////GUI Enum Control ID End
			ID_DUMMY_VALUE_ //don't remove this value unless you have other enum values
		};
		
	private:
		void OnClose(wxCloseEvent& event);
		void CreateGUIControls();
        wxString msg;
        wxString _matricula;
};

#endif
